Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlToolTip

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIToolTip
                  org.richfaces.component.html.HtmlToolTip

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder

    public class HtmlToolTip

extends UIToolTip

Component-Type org.richfaces.component.ToolTip Component-Family org.richfaces.component.ToolTip Renderer-Type org.richfaces.renderkit.html.ToolTipRenderer Defines tooltip for parent component.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIToolTip
`CONTENT_FACET_NAME`

Constructor Summary
`HtmlToolTip()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDirection()` Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Getter for direction
`java.lang.String` | `getEvent()` event that triggers the tooltip appearance (default = onmouseover) Getter for event
`java.lang.String` | `getFamily()`
`int` | `getHideDelay()` Delay in milliseconds before tooltip will be hidden.
`int` | `getHorizontalOffset()` Sets the horizontal offset between popup list and mouse pointer Getter for horizontalOffset
`java.lang.String` | `getLayout()` Allowed values: "inline" or "block".
`java.lang.String` | `getMode()` controls the way of data loading to tooltip and should have following values “client” (default), “ajax” Getter for mode
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncomplete()` JavaScript code for call after the tooltip shown Getter for oncomplete
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnhide()` JavaScript code for call after the tooltip hidden Getter for onhide
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnshow()` JavaScript code for call after the tooltip called (some element overed) but before its requesting Getter for onshow
`int` | `getShowDelay()` Delay in milliseconds before tooltip will be displayed.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getValue()` Label on the tooltip Getter for value
`int` | `getVerticalOffset()` Sets the vertical offset between popup list and mouse pointer Getter for verticalOffset
`int` | `getZorder()` The same as CSS z-index for toolTip.
`boolean` | `isDisabled()` If false the components is rendered on the client but Js for calling – disabled.
`boolean` | `isFollowMouse()` If 'true' tooltip should follow the mouse while it moves over the parent element Getter for followMouse
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDirection(java.lang.String __direction)` Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Setter for direction
`void` | `setDisabled(boolean __disabled)` If false the components is rendered on the client but Js for calling – disabled.
`void` | `setEvent(java.lang.String __event)` event that triggers the tooltip appearance (default = onmouseover) Setter for event
`void` | `setFollowMouse(boolean __followMouse)` If 'true' tooltip should follow the mouse while it moves over the parent element Setter for followMouse
`void` | `setHideDelay(int __hideDelay)` Delay in milliseconds before tooltip will be hidden.
`void` | `setHorizontalOffset(int __horizontalOffset)` Sets the horizontal offset between popup list and mouse pointer Setter for horizontalOffset
`void` | `setLayout(java.lang.String __layout)` Allowed values: "inline" or "block".
`void` | `setMode(java.lang.String __mode)` controls the way of data loading to tooltip and should have following values “client” (default), “ajax” Setter for mode
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after the tooltip shown Setter for oncomplete
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnhide(java.lang.String __onhide)` JavaScript code for call after the tooltip hidden Setter for onhide
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnshow(java.lang.String __onshow)` JavaScript code for call after the tooltip called (some element overed) but before its requesting Setter for onshow
`void` | `setShowDelay(int __showDelay)` Delay in milliseconds before tooltip will be displayed.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setValue(java.lang.String __value)` Label on the tooltip Setter for value
`void` | `setVerticalOffset(int __verticalOffset)` Sets the vertical offset between popup list and mouse pointer Setter for verticalOffset
`void` | `setZorder(int __zorder)` The same as CSS z-index for toolTip.

Methods inherited from class org.richfaces.component.UIToolTip
`broadcast, encodeAjaxChild, getUsedElementType`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlToolTip

    public HtmlToolTip()

  Constructor to init default renderers

Method Detail

### setDirection

    public void setDirection(java.lang.String __direction)

  Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Setter for direction

  Specified by:
    `setDirection` in class `UIToolTip`
  Parameters:
    `direction` - - new value

### getDirection

    public java.lang.String getDirection()

  Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Getter for direction

  Specified by:
    `getDirection` in class `UIToolTip`
  Returns:
    direction value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  If false the components is rendered on the client but Js for calling – disabled. Setter for disabled

  Specified by:
    `setDisabled` in class `UIToolTip`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  If false the components is rendered on the client but Js for calling – disabled. Getter for disabled

  Specified by:
    `isDisabled` in class `UIToolTip`
  Returns:
    disabled value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  event that triggers the tooltip appearance (default = onmouseover) Setter for event

  Specified by:
    `setEvent` in class `UIToolTip`
  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  event that triggers the tooltip appearance (default = onmouseover) Getter for event

  Specified by:
    `getEvent` in class `UIToolTip`
  Returns:
    event value from local variable or value bindings

### setFollowMouse

    public void setFollowMouse(boolean __followMouse)

  If 'true' tooltip should follow the mouse while it moves over the parent element Setter for followMouse

  Specified by:
    `setFollowMouse` in class `UIToolTip`
  Parameters:
    `followMouse` - - new value

### isFollowMouse

    public boolean isFollowMouse()

  If 'true' tooltip should follow the mouse while it moves over the parent element Getter for followMouse

  Specified by:
    `isFollowMouse` in class `UIToolTip`
  Returns:
    followMouse value from local variable or value bindings

### setHideDelay

    public void setHideDelay(int __hideDelay)

  Delay in milliseconds before tooltip will be hidden. Setter for hideDelay

  Specified by:
    `setHideDelay` in class `UIToolTip`
  Parameters:
    `hideDelay` - - new value

### getHideDelay

    public int getHideDelay()

  Delay in milliseconds before tooltip will be hidden. Getter for hideDelay

  Specified by:
    `getHideDelay` in class `UIToolTip`
  Returns:
    hideDelay value from local variable or value bindings

### setHorizontalOffset

    public void setHorizontalOffset(int __horizontalOffset)

  Sets the horizontal offset between popup list and mouse pointer Setter for horizontalOffset

  Specified by:
    `setHorizontalOffset` in class `UIToolTip`
  Parameters:
    `horizontalOffset` - - new value

### getHorizontalOffset

    public int getHorizontalOffset()

  Sets the horizontal offset between popup list and mouse pointer Getter for horizontalOffset

  Specified by:
    `getHorizontalOffset` in class `UIToolTip`
  Returns:
    horizontalOffset value from local variable or value bindings

### setLayout

    public void setLayout(java.lang.String __layout)

  Allowed values: "inline" or "block". Block/inline mode flag. Tooltip will contain div/span elements accordingly. Setter for layout

  Specified by:
    `setLayout` in class `UIToolTip`
  Parameters:
    `layout` - - new value

### getLayout

    public java.lang.String getLayout()

  Allowed values: "inline" or "block". Block/inline mode flag. Tooltip will contain div/span elements accordingly. Getter for layout

  Specified by:
    `getLayout` in class `UIToolTip`
  Returns:
    layout value from local variable or value bindings

### setMode

    public void setMode(java.lang.String __mode)

  controls the way of data loading to tooltip and should have following values “client” (default), “ajax” Setter for mode

  Specified by:
    `setMode` in class `UIToolTip`
  Parameters:
    `mode` - - new value

### getMode

    public java.lang.String getMode()

  controls the way of data loading to tooltip and should have following values “client” (default), “ajax” Getter for mode

  Specified by:
    `getMode` in class `UIToolTip`
  Returns:
    mode value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Specified by:
    `setOnclick` in class `UIToolTip`
  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Specified by:
    `getOnclick` in class `UIToolTip`
  Returns:
    onclick value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after the tooltip shown Setter for oncomplete

  Specified by:
    `setOncomplete` in class `UIToolTip`
  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after the tooltip shown Getter for oncomplete

  Specified by:
    `getOncomplete` in class `UIToolTip`
  Returns:
    oncomplete value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Specified by:
    `setOndblclick` in class `UIToolTip`
  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Specified by:
    `getOndblclick` in class `UIToolTip`
  Returns:
    ondblclick value from local variable or value bindings

### setOnhide

    public void setOnhide(java.lang.String __onhide)

  JavaScript code for call after the tooltip hidden Setter for onhide

  Specified by:
    `setOnhide` in class `UIToolTip`
  Parameters:
    `onhide` - - new value

### getOnhide

    public java.lang.String getOnhide()

  JavaScript code for call after the tooltip hidden Getter for onhide

  Specified by:
    `getOnhide` in class `UIToolTip`
  Returns:
    onhide value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Specified by:
    `setOnmousemove` in class `UIToolTip`
  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Specified by:
    `getOnmousemove` in class `UIToolTip`
  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Specified by:
    `setOnmouseout` in class `UIToolTip`
  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Specified by:
    `getOnmouseout` in class `UIToolTip`
  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Specified by:
    `setOnmouseover` in class `UIToolTip`
  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Specified by:
    `getOnmouseover` in class `UIToolTip`
  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnshow

    public void setOnshow(java.lang.String __onshow)

  JavaScript code for call after the tooltip called (some element overed) but before its requesting Setter for onshow

  Specified by:
    `setOnshow` in class `UIToolTip`
  Parameters:
    `onshow` - - new value

### getOnshow

    public java.lang.String getOnshow()

  JavaScript code for call after the tooltip called (some element overed) but before its requesting Getter for onshow

  Specified by:
    `getOnshow` in class `UIToolTip`
  Returns:
    onshow value from local variable or value bindings

### setShowDelay

    public void setShowDelay(int __showDelay)

  Delay in milliseconds before tooltip will be displayed. Setter for showDelay

  Specified by:
    `setShowDelay` in class `UIToolTip`
  Parameters:
    `showDelay` - - new value

### getShowDelay

    public int getShowDelay()

  Delay in milliseconds before tooltip will be displayed. Getter for showDelay

  Specified by:
    `getShowDelay` in class `UIToolTip`
  Returns:
    showDelay value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Specified by:
    `setStyle` in class `UIToolTip`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Specified by:
    `getStyle` in class `UIToolTip`
  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIToolTip`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIToolTip`
  Returns:
    styleClass value from local variable or value bindings

### setValue

    public void setValue(java.lang.String __value)

  Label on the tooltip Setter for value

  Specified by:
    `setValue` in class `UIToolTip`
  Parameters:
    `value` - - new value

### getValue

    public java.lang.String getValue()

  Label on the tooltip Getter for value

  Specified by:
    `getValue` in class `UIToolTip`
  Returns:
    value value from local variable or value bindings

### setVerticalOffset

    public void setVerticalOffset(int __verticalOffset)

  Sets the vertical offset between popup list and mouse pointer Setter for verticalOffset

  Specified by:
    `setVerticalOffset` in class `UIToolTip`
  Parameters:
    `verticalOffset` - - new value

### getVerticalOffset

    public int getVerticalOffset()

  Sets the vertical offset between popup list and mouse pointer Getter for verticalOffset

  Specified by:
    `getVerticalOffset` in class `UIToolTip`
  Returns:
    verticalOffset value from local variable or value bindings

### setZorder

    public void setZorder(int __zorder)

  The same as CSS z-index for toolTip. Setter for zorder

  Specified by:
    `setZorder` in class `UIToolTip`
  Parameters:
    `zorder` - - new value

### getZorder

    public int getZorder()

  The same as CSS z-index for toolTip. Getter for zorder

  Specified by:
    `getZorder` in class `UIToolTip`
  Returns:
    zorder value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.